> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/language-list-api.md).

# 语言列表 API

{% hint style="danger" %}
此 API 仅适用于专业版及以上套餐。
{% endhint %}

## Convai 的语言列表 API 端点

```markup
GET https://api.convai.com/tts/get_available_languages
```

此端点用于获取用户可用语言列表。语音列表包含所有公开语言以及用户私有语言的信息。

## 请求

请求体只需要以下头字段：

### 请求头

| 字段名称             | 类型  | 值 / 描述            |
| ---------------- | --- | ----------------- |
| CONVAI-API-KEY\* | 字符串 | 您的 Convai API 密钥。 |

## 响应

成功时，API 将返回以下格式的嵌套 JSON 对象：

```json
[
{
    "en-US": {
      "lang_code": "en-US",
      "lang_name": "英语"
    }
  },
  {
    "es-ES": {
      "lang_code": "es-ES",
      "lang_name": "西班牙语"
    }
  }, ...

]
```

## 支持的语言列表：

| 语言          | 语言代码   |
| ----------- | ------ |
| 英语          | en-US  |
| 西班牙语        | es-ES  |
| 法语          | fr-FR  |
| 阿拉伯语        | ar     |
| 印地语         | hi-IN  |
| 日语          | ja-JP  |
| 韩语          | ko-KR  |
| 俄语          | ru-RU  |
| 荷兰语         | nl-NL  |
| 荷兰语（比利时）    | nl-BE  |
| 中文（中国大陆）    | cmn-CN |
| 德语          | de-DE  |
| 越南语         | vi-VN  |
| 意大利语        | it-IT  |
| 土耳其语        | tr-TR  |
| 葡萄牙语（巴西）    | pt-BR  |
| 墨西哥西班牙语     | es-MX  |
| 粤语          | zh-HK  |
| 波兰语（波兰）     | pl-PL  |
| 葡萄牙语（葡萄牙）   | pt-PT  |
| 西班牙语（美国）    | es-US  |
| 瑞典语         | sv-SE  |
| 哈萨克语（哈萨克斯坦） | kk-KZ  |
| 芬兰语         | fi-FI  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/language-list-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
